#!/bin/bash
FILE=$1
MATHBENCHMARK=benchmark.m
REDLOGBENCHMARK=benchmark.redlog
MAXRAM=1900000
MAXTIME=120

export FILE MATHBENCHMARK REDLOGBENCHMARK MAXRAM MAXTIME

ulimit -v $MAXRAM

echo File: $FILE
 
echo 'Mjollnir'
(ulimit -t $MAXTIME ; time ../mjollnir --input-syntax lira --eclosure $FILE)
 
echo 'Mjollnir --no-add-blocking-to-g'
(ulimit -t $MAXTIME ; time ../mjollnir --no-add-blocking-to-g --input-syntax lira --eclosure $FILE)
 
echo 'Mjollnir --no-block-projected-model'
(ulimit -t $MAXTIME ; time ../mjollnir --no-block-projected-model --input-syntax lira --eclosure $FILE)

echo 'LIRA'
(ulimit -t $MAXTIME ; time LIRA --file $FILE)

echo 'Mathematica'
echo 'Reduce[' > $MATHBENCHMARK
../mjollnir --input-syntax lira --eclosure --action none $FILE >> $MATHBENCHMARK
echo ', {}, Reals]' >> $MATHBENCHMARK
echo 'Quit[]' >> $MATHBENCHMARK
(ulimit -t $MAXTIME ; time math -noprompt < $MATHBENCHMARK)

echo 'Redlog'
echo 'load redlog$' > $REDLOGBENCHMARK
echo 'rlset ofsf$' >> $REDLOGBENCHMARK
echo 'rlqe(' >> $REDLOGBENCHMARK
../mjollnir --input-syntax lira --output-syntax redlog --eclosure --action none $FILE >> $REDLOGBENCHMARK
echo ');' >> $REDLOGBENCHMARK
echo 'bye;' >> $REDLOGBENCHMARK
(ulimit -t $MAXTIME ; time /opt/Reduce_3.8/r38 $REDLOGBENCHMARK)
