#!/usr/bin/perl -W
use strict;
my %programs = ( 'LIRA' => 0.02, 'Mjollnir' => 0.012,
                 'Mathematica' => 0.13, 'Redlog' => 0.210,
                 'Mjollnir --no-add-blocking-to-g' => 1,
                 'Mjollnir --no-block-projected-model' => 1);
my %totalTime;
my %problemsSolved;
{
  my $program = 'undefined';
  my %results;
  my $filename;
  my $killed;
  while(my $line = <>) {
      chomp $line;
      if ($line =~ /^File: (.*)$/) {
	  $filename = $1;
	  undef %results;
      } elsif (defined($programs{$line})) {
	  $program = $line;
	  delete $results{$program};
	  $killed = 0;
      } elsif ($line =~ /True/ || $line =~ /\(sat\)/) {
	  $results{$program} = 1;
      } elsif ($line =~ /False/ || $line =~ /\(unsat\)/) {
	  $results{$program} = 0;
      } elsif ($line =~ /Killed/) {
	  $killed = 1;
      } elsif ($line =~ /^user\s+([0-9]+)m([0-9]+\.[0-9]*)s/ && !$killed) {
	  my $time = $1*60+$2;
	  # print "$filename\t$program\t$time\n";
	  $totalTime{$program} += $time;
	  $problemsSolved{$program}++;
      }
  }
}

foreach my $program(keys(%programs)) {
    if (defined($problemsSolved{$program})) {
      print "$program: ", $problemsSolved{$program}, " ", $totalTime{$program}, "\n";
    }
}
